Page MenuHomePhabricator

Installation documentation should explain memcached
Closed, ResolvedPublic

Description

Installation documentation mentions memcached only under requirements, but for somebody new to MediaWiki and OAuth extension this is unclear. Also, installation without memcached fails in a strange way without clear message. I spent quite some time debugging why it does not work. I think there should be few lines how to run a simple local memcached in installation process for OAuth and then link to the memcached paage for more information. And OAuth should throw some error mentioning that memcached is missing.

(BTW, I am running MediaWiki + OAuth on SQLite and it seems to work.)


Version: unspecified
Severity: enhancement

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:45 AM
bzimport set Reference to bz69499.
bzimport added a subscriber: Unknown Object (MLST).
Mitar created this task.Aug 13 2014, 10:17 PM
Mitar added a comment.Aug 14 2014, 3:37 AM

(Taking back, SQLite works only with one consumer.)

Aklapper triaged this task as Lowest priority.Jan 7 2015, 2:17 PM
Aklapper added a project: Documentation.
Aklapper set Security to None.

I also felt confused while debugging. Are there any chances to get OAuth working with a non-memcached fallback?

I note memcached isn't actually required, but it does require that $wgMainCacheType is something that persists across requests. CACHE_NONE won't work, 'hash' won't work. Note there's no straightforward way to detect that $wgMainCacheType is really something that will persist.

It could be changed such that OAuth uses its own cache variable instead of $wgMemc / $wgMainCacheType and default that to CACHE_ANYTHING.

Change 221863 had a related patch set uploaded (by Anomie):
Use our own cache configuration variable

https://gerrit.wikimedia.org/r/221863

Change 221863 merged by jenkins-bot:
Use session cache instead of $wgMemc for request token and nonce storage

https://gerrit.wikimedia.org/r/221863

Tgr closed this task as Resolved.Jul 28 2016, 11:20 PM
Tgr assigned this task to Anomie.